STOFFStarMathToMMLConverterInternal::Node Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
STOFFStarMathToMMLConverterInternal::Node Struct Reference

a data node More...

## Public Types
enum | Type { Root, Empty, Unknown, Sequence, SequenceRow, Relation, Addition, Multiplication, Position, Function, Accent, Integral, UnaryOperator, Parenthesis, ParenthesisLeft, ParenthesisRight, Special, String, Number }
| the node type More...

## Public Member Functions
| Node (Type type=Unknown, std::string const &spaces="")
| constructor More...

## Public Attributes
Type | m_type
| the node type More...
std::string | m_spaces
| the different spaces More...
std::string | m_function
| the function More...
std::string | m_data
| the data More...
std::vector< std::shared_ptr< Node > > | m_childs
| list of child More...

## Friends
std::ostream & | operator<< (std::ostream &o, Node const &nd)
| operator<< More...

## Detailed Description

a data node

## Member Enumeration Documentation

## ◆ Type

enum STOFFStarMathToMMLConverterInternal::Node::Type

the node type

Enumerator
Root |
Empty |
Unknown |
Sequence |
SequenceRow |
Relation |
Addition |
Multiplication |
Position |
Function |
Accent |
Integral |
UnaryOperator |
Parenthesis |
ParenthesisLeft |
ParenthesisRight |
Special |
String |
Number |

## Constructor & Destructor Documentation

## ◆ Node()

STOFFStarMathToMMLConverterInternal::Node::Node | ( | Type | type = `Unknown`,
|  | std::string const & | spaces = `""`
| ) |  |
| inlineexplicit

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Node const & | nd
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_childs

std::vector<std::shared_ptr<Node> > STOFFStarMathToMMLConverterInternal::Node::m_childs

list of child

Referenced by STOFFStarMathToMMLConverterInternal::Parser::convertInMML(), STOFFStarMathToMMLConverterInternal::Parser::convertPositionInMML(), STOFFStarMathToMMLConverterInternal::Parser::convertPositionOverbraceInMML(), STOFFStarMathToMMLConverterInternal::Parser::convertPositionUnderbraceInMML(), and STOFFStarMathToMMLConverterInternal::Parser::findAndAddAlignment().

## ◆ m_data

std::string STOFFStarMathToMMLConverterInternal::Node::m_data

the data

Referenced by STOFFStarMathToMMLConverterInternal::Parser::convertInMML(), and STOFFStarMathToMMLConverterInternal::Parser::findAndAddAlignment().

## ◆ m_function

std::string STOFFStarMathToMMLConverterInternal::Node::m_function

the function

Referenced by STOFFStarMathToMMLConverterInternal::Parser::convertInMML(), and STOFFStarMathToMMLConverterInternal::Parser::findAndAddAlignment().

## ◆ m_spaces

std::string STOFFStarMathToMMLConverterInternal::Node::m_spaces

the different spaces

Referenced by STOFFStarMathToMMLConverterInternal::Parser::convertInMML().

## ◆ m_type

Type STOFFStarMathToMMLConverterInternal::Node::m_type

the node type

Referenced by STOFFStarMathToMMLConverterInternal::Parser::convertInMML(), and STOFFStarMathToMMLConverterInternal::Parser::findAndAddAlignment().

The documentation for this struct was generated from the following file:

- STOFFStarMathToMMLConverter.cxx